Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
MessageReceiver Class Referenceabstract

A multiple message receiver. More...

`#include <yatengine.h>`

Inheritance diagram for MessageReceiver:

## Public Member Functions
virtual bool | received (Message &msg, int id)=0
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

A multiple message receiver.

A multiple message receiver to be invoked by a message relay

## Member Function Documentation

virtual bool received | ( | Message & | msg,
|  | int | id
| ) |  |
| pure virtual

This method is called from the message relay.

Parameters

  msg | The received message
  id | The identifier with which the relay was created

Returns
  True to stop processing, false to try other handlers

Implemented in ClientDriver, Driver, Module, and Client.

Referenced by MessageRelay::received().

The documentation for this class was generated from the following file:

- yatengine.h